<style>
    .amount{
        text-align: right !important;
    }
    
    .btn-group button{
        height:30px;}
    </style>
    <?php
		 if(isset($taxmaster) && !empty($taxmaster)){
        	foreach($taxmaster as $k=>$v){
            	$val = null;
            	$val = array_search('NR',(array) $taxmaster[$k]);  
            	if($val != null){
                	$nonGstTaxID = $taxmaster[$k]->ID;
                	break;
            	}
        	}
		 }
    ?>
    <script type="application/javascript">
      $(document).ready(function(){
            $('select').select2();
            /*****GST Register supplier's color change start******/    
            function format(state) {
              var text = state.text.match(/\(GST\)/g);
              var modTxt = state.text.replace("(GST)","");
              if(text != null)  return '<span style="color:#85c420;">'+modTxt+"</span>";
              else              return modTxt;
            }
            $("#supplier").select2({
              formatResult: format,
              formatSelection: format,
              escapeMarkup: function(m) { return m; }
            });
            /*****GST Register supplier's color change end******/
            $.each($(".select2-container"), function (i, n) { 
                $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
                $(n).prepend($(n).next());
                $(n).delay(500).queue(function () {
                    $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                    $(this).dequeue();
                });
            });	
            jQuery('.datepicker2').datepicker({
                    dateFormat : 'dd-mm-yy',
                    changeMonth : true,
                    changeYear : true
            });


        $('#idUnitOfMeasure').live('change',function(){
            var factor = $(this).select2('val')
        });
    });
 
    function displaysSupplierInvoiceNo(){
        $("#supinvoicenumber").val($('#CompInvNo option:selected').attr("data-supInvNo"));
        getSupplierInvoiceItemList();
    }
    
    
     function getSupplierInvoiceItemList(){
        $('#hiddentItemComboList').empty();
         $.ajax({
            type: "POST",
            data : "invoiceId=" + $("#CompInvNo").val() ,
            url: "<?php echo base_url() ?>apTransaction/getSupplierInvoiceItemListDebit",
            success: function(data) {

            var resul = eval ("(" + data + ")"); 
            var n=resul.recordSet.length;
            var i=0;
            var opt='' +
            '<option></option>';
            for (i=0;i<n;i++)
                opt=opt + '<option  data-itemID="' + resul.recordSet[i].itemID + '" data-desc ="' + resul.recordSet[i].description + '" ' + 
                                   'data-umCode="' + resul.recordSet[i].unitOfMeasure + '" ' +
                                   'data-exactQty="' + resul.recordSet[i].exactQty + '" ' +
                                   'data-defaultCode="' + resul.recordSet[i].umCode + '" ' +
                                   'data-defaultUM="' + resul.recordSet[i].defaultUM + '" ' +
                                   'data-umid="' + resul.recordSet[i].umID + '" ' +
                                   'data-unitPrice="' + resul.recordSet[i].unitPrice + '" ' +
                                   'data-amountExcludedTax="' + resul.recordSet[i].amountExcludedTax + '" ' + 
                                   'data-taxid="' + resul.recordSet[i].taxID + '" ' +
                                   'data-taxPercentage="' + resul.recordSet[i].taxRate + '" ' +
                                   'data-taxAmount="' + resul.recordSet[i].taxAmount + '" ' +
                                   'data-taxcode="' + resul.recordSet[i].code + '" ' + 
                                   'data-amountIncludedTax="' + resul.recordSet[i].amountIncludedTax + '" ' + 
                       ' value="' + resul.recordSet[i].invoiceDetailID + '">' +  resul.recordSet[i].name + ' [ ' + resul.recordSet[i].itemCode + '] </option>';
                $('#hiddentItemComboList').empty();
                $('#hiddentItemComboList').append(opt);
            }
          });
      }
    
    function getLatestItemPrice(){
    //var qtyInvoice = parseFloat($("#itemInvoice").attr("data-qtyInvoice"))* $("#idUnitOfMeasure option:selected").attr("data-factor")/$("#idUnitOfMeasure option:selected").attr("data-unitm");
    var prevQty = accounting.unformat($("#itemInvoice").val());
    var qtyInvoice = (accounting.unformat($("#itemInvoice").attr("data-qtyInvoice"))/accounting.unformat($("#itemInvoice").attr("data-unitm")))*accounting.unformat($("#itemInvoice").attr("data-factor"));
    var qtyInvoice = (qtyInvoice*accounting.unformat($("#idUnitOfMeasure option:selected").attr("data-unitm")))/accounting.unformat($("#idUnitOfMeasure option:selected").attr("data-factor"));
    $("#itemInvoice").val(accounting.formatNumber(qtyInvoice,5));

    var totalItem = (accounting.unformat($("#itemInvoice").attr("data-qtyInvoice"))/accounting.unformat($("#itemInvoice").attr("data-unitm")))*accounting.unformat($("#itemInvoice").attr("data-factor"));
    var totalPrice = accounting.unformat($("#itemunitprice").val())*prevQty;
    var actualUnitPrice = totalPrice/qtyInvoice;
    $("#itemunitprice").val(accounting.formatNumber(actualUnitPrice,5));

    /* $.ajax({
            type: "POST",
            data : {
                option :'purchase',
                itemID : $("#itemComboList").val(),
                datePrice : $("#createdDate").val(),
                supplierID : $("#supplier").val(),
                umid: $("#idUnitOfMeasure").val(),
                currencyID: $("#currency").attr('data-id')
            },
            url: "<?php echo base_url() ?>aptransaction/getPrice",
            success: function(data) {
                $("#itemunitprice").val(accounting.formatNumber(data,2));
            }
      });*/
}

    function getSupplierInvoicelist(supID){
        $.ajax({
            type: "POST",
            data : "supplierID=" + supID ,
            url: "<?php echo base_url() ?>apTransaction/getCompanyInvoiceList",
            success: function(data) {

            var resul = eval ("(" + data + ")"); 
            var n=resul.recordSet.length;
            var i=0;
            var opt='' +
            '<option></option>';
            for (i=0;i<n;i++)
                opt=opt + '<option data-supInvNo="' + resul.recordSet[i].supplierInvoiceNo + '" value="' + resul.recordSet[i].id + '">' + resul.recordSet[i].formNO + '</option>';
                $('#CompInvNo').empty();
                $('#CompInvNo').append(opt);
            }
          });
    }
     function displaysItemDefaultValue(){
    // alert($("#itemComboList option:selected").attr("data-taxid"));
          $("#itemdes").val($("#itemComboList option:selected").attr("data-desc"));
        $("#itemunitprice").val(accounting.formatNumber($("#itemComboList option:selected").attr("data-unitprice"),2));
        
       // $("#idUnitOfMeasure").select2("val",$("#itemComboList option:selected").attr("data-umid"));
        //$("#idUnitOfMeasure").select2('destroy');
        //$("#idUnitOfMeasure").html('<option  value="' + $("#itemComboList option:selected").attr("data-defaultUM") + '" data-unitm="1" data-factor="1" >'+ resul.recordSet[i].code +'</option>')
        
        $("#itemInvoice").val($("#itemComboList option:selected").attr("data-exactQty"));
        $("#itemInvoice").attr("data-qtyInvoice", $("#itemComboList option:selected").attr("data-exactQty"));
        $("#itemqte").val("");
        
        if(gstStatus){
            $("#itemTax").val($("#itemComboList option:selected").attr("data-taxPercentage"));
            $("#itemTax").attr("data-taxid",$("#itemComboList option:selected").attr("data-taxid"));
            $("#displayTaxCode").text($("#itemComboList option:selected").attr("data-taxcode"));
        }
        //getLatestItemPrice();
        getItemListOfUM();
    }

                function loadSupplierDefaultValue(me){
                            $('#currency').attr("value",'');
                            $('#exchange_rate').attr("value",'');
                            var date = $.datepicker.formatDate('yymmdd', new Date());
                            $.ajax({
                                type: "POST",
                                data: "supplier="+ $("#supplier option:selected").val()+'&effdate='+date,
                                url: "<?php echo base_url() ?>aptransaction/loadSupplierDefaultValue",
                                dataType: "JSON",
                                success: function(data) {
                                    console.log(data);
                                    /*var resul = eval ("(" + data + ")"); */
                                    $('#currency').attr("value",data[0].currencyWord);
                                     $('#currency').attr("data-id",data[0].currencyID);
                                    //$('#exchange_rate').attr("value",data[0].exchangeRate);
                                    gstStatus = isGstRegistered($('#supplier').select2('val'),'supplier');
									$('#exchange_rate').attr("value",accounting.formatNumber(data[0].exchangeRate,5));
                                }
                            });

                             getSupplierInvoicelist($("#supplier option:selected").val());

                    }

                    function refreshSupplier(){
                        //<span style="color:#85c420;">'+modTxt+"</span>
                      $.ajax({
                        type: "POST",
                        url: "<?php echo base_url() ?>supplier/refreshSupplier",
                        success: function(data) {
                        
                           var resul = eval ("(" + data + ")"); 
                                   var n=resul.records.length;
                                   var i=0;
                                   var opt='' +
                              '<option></option>';
                                    for (i=0;i<n;i++)
                                      if(resul.records[i].gstRegNo != ''){
                                        opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].supplierName + ' (GST)</option>';
                                      }else{
                                        opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].supplierName + '</option>';
                                      }
                          $('#supplier').empty();
                                  $('#supplier').append(opt);
                        }
                         });
                       
                    }


                    /*function getItemCode(me){
                            $.ajax({
                                    type: "POST",
                                    data: "itemCode="+$(me).val(),
                                    url: "<?php echo base_url() ?>item/getItemCodes",
                                    success: function(data) {
                                       $("#itemcode").attr("data-source", data);
                                    }
                             });
                    }
                    */

                    function refreshProject(){
                            $.ajax({
                                    type: "POST",
                                    url: "<?php echo base_url() ?>project/refreshProject",
                                    success: function(data) {

                                       var resul = eval ("(" + data + ")"); 
                   var n=resul.records.length;
                   var i=0;
                   var opt='' +
                                    '<option></option>';
                    for (i=0;i<n;i++)
                            opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].projectName + '</option>';
                                            $('#project').empty();
                    $('#project').append(opt);
                                    }
                             });
                    }

                     function refreshItems(){
                            $.ajax({
                                    type: "POST",
                                    url: "<?php echo base_url() ?>po_transaction/refreshItems",
                                    success: function(data) {

                                       var resul = eval ("(" + data + ")"); 
                                       var n=resul.records.length;
                                       var i=0;
                                       var opt='' +
                                            '<option></option>';
                                        for (i=0;i<n;i++)
                                                opt=opt + '<option data-price="'+ resul.records[i].price +'" data-description="' + resul.records[i].description + '" value="' + resul.records[i].id + '">' + resul.records[i].name + '[' + resul.records[i].code + ']' + '</option>';
                                        $('#itemComboList').empty();
                                        $('#itemComboList').append(opt);
                                      }
                             });

                    }

                    /*function openModalAddSupplier(){
                            $.ajax({
                                    type: "POST",
                                    url: "<?php echo base_url() ?>aptransaction/getSupplierNewForm",
                                    success: function(result) {
                                            $("#_popupContent").empty();
                                            $("#_popupContent").append(result);
                                            $('#popupModal').modal('show');
                                            $("#_popupTitle").html("New Supplier");
                                            $("#popupModal").attr("style","width:900px;left:530px;");
                                    }
                             });
                    }*/				

                    function saveParchaseRow(me){
                     if( $("#parchaseDetailForm").validationEngine('validate') && finanEngine('financhk')){
                            if ( $("#purchaseInvoiceId").val()=="null"){
                                    $(me).attr("disabled","disabled");
                                    $.ajax({
                                    type: "POST",
                                    data: {
                                          supplierID : $("#supplier").val(),
                                              locationID :  $("#location").val(),
                                              itemCode:  $("#itemcode").val(),
                                              formNo : $("#formNo").val(),
                                              invoiceDate: $("#createdDate").val(),
                                              supplierInvoiceID : $("#CompInvNo").val(),
                                              projectID: $("#project").val(),
                                              memo : $("#memo").val(),
                                              termsID: $("#term").val(),
                                              currencyID: $("#currency").attr("data-id"),
                                              exchangeRate : $("#exchange_rate").val(),

                                              itemID : $("#itemComboList option:selected").attr("data-itemID"),
                                              invoiceDetailID : $("#itemComboList").val(),
                                              lineNo : $("#listDetails").attr("data-currentRow")*1 +1,
                                              itemdescription: $("#itemdes").val(),
                                              quantity : $("#itemqte").val(),
                                              umid : $("#idUnitOfMeasure").val(),
                                              unitPrice: accounting.unformat($("#itemunitprice").val()),
                                              amountExcludedTax: accounting.unformat($("#itemAmountET").val()),
                                              taxID: $("#itemTax").attr("data-taxid"),
                                              taxRate: $("#itemTax").val(),
                                              taxAmount: accounting.unformat($("#itemTaxAmount").val()),
                                              amountIncludedTax:accounting.unformat($("#itemAmountIT").val())

                                            },
                                     url: "<?php echo base_url() ?>aptransaction/saveNewParchaseDebit",
                                     success: function(data) {
                                     var resul = eval ("(" + data + ")"); 
                                      $("#purchaseInvoiceId").val(resul.invoiceID);
                                      $(''+
                                       '<tr>' +
                                              '<td>' + ($("#listDetails").attr("data-currentRow")*1 + 1) + '</td>'+
                                              '<td>' + $("#itemComboList option:selected").text() + '</td>'+
                                              '<td>' + $("#itemdes").val() + '</td>'+
                                              '<td class="tac">' +  $("#idUnitOfMeasure option:selected").text() + '</td>'+
                                              '<td class="tac">' + $("#itemInvoice").val() + '</td>'+
                                              '<td class="tac">' + $("#itemqte").val() + '</td>'+
                                              '<td class="tar">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
                                              '<td class="tar">' + accounting.formatNumber($("#itemAmountET").val(),2) + '</td>'+
                                              '<td class="tac">' + $("#displayTaxCode").text() + " | " + $("#itemTax").val() + '</td>'+
                                              '<td class="tar">' + accounting.formatNumber($("#itemTaxAmount").val(),2) + '</td>'+
                                              '<td class="tar">' + accounting.formatNumber($("#itemAmountIT").val(),2) + '</td>'+
                                              '<td>'+
                                              '</td>'+
                                          '</tr>'
                                            ).insertBefore( "#trInfos" );
                                            $("#listDetails").attr("data-currentRow",$("#listDetails").attr("data-currentRow")*1 +1);
                                            $("#btnCancel").trigger("click");
                                            $("#calcul").trigger("click");
                                   msg (1,"alert alert-success","Details successfully saved");
                                    } //end function
                             });//end ajax
                            }else{
                            $(me).attr("disabled","disabled");
                                    $.ajax({
                                    type: "POST",
                                    data: {
                                              invoiceId : $("#purchaseInvoiceId").val(),

                                              itemID : $("#itemComboList option:selected").attr("data-itemID"),
                                              invoiceDetailID : $("#itemComboList").val(),
                                              lineNo : $("#listDetails").attr("data-currentRow")*1 +1,
                                              itemdescription: $("#itemdes").val(),
                                              quantity : $("#itemqte").val(),
                                              umid : $("#idUnitOfMeasure").val(),
                                              unitPrice: accounting.unformat($("#itemunitprice").val()),
                                              amountExcludedTax: accounting.unformat($("#itemAmountET").val()),
                                              taxID: $("#itemTax").attr("data-taxid"),
                                              taxRate: $("#itemTax").val(),
                                              taxAmount: accounting.unformat($("#itemTaxAmount").val()),
                                              amountIncludedTax:accounting.unformat($("#itemAmountIT").val())
 
                                            },
                                    url: "<?php echo base_url() ?>aptransaction/saveNewDebitDetail",
                                    success: function(data) {
                                     msg (1,"alert alert-success","Details successfully saved");
                                      var resul = eval ("(" + data + ")"); 
                                    $(''+
                                         '<tr>' +
                                            '<td>' + ($("#listDetails").attr("data-currentRow")*1 + 1) + '</td>'+
                                            '<td>' + $("#itemComboList option:selected").text() + '</td>'+
                                            '<td>' + $("#itemdes").val() + '</td>'+
                                            '<td class="tac">' +  $("#idUnitOfMeasure option:selected").text() + '</td>'+
                                            '<td class="tac">' + $("#itemInvoice").val() + '</td>'+
                                            '<td class="tac">' + $("#itemqte").val() + '</td>'+
                                            '<td class="tar">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
                                            '<td class="tar">' + accounting.formatNumber($("#itemAmountET").val(),2) + '</td>'+
                                            '<td class="tac">' +   $("#displayTaxCode").text() + " | " + $("#itemTax").val() + '</td>'+
                                            '<td class="tar">' + accounting.formatNumber( $("#itemTaxAmount").val(),2) + '</td>'+
                                            '<td class="tar">' + accounting.formatNumber($("#itemAmountIT").val(),2) + '</td>'+
                                            '<td>'+
                                           '</td>'+
                                    '</tr>'
                                ).insertBefore( "#trInfos" );
                         $("#listDetails").attr("data-currentRow",$("#listDetails").attr("data-currentRow")*1 +1);
                                $("#btnCancel").trigger("click");
                                            $("#calcul").trigger("click");
                               }
                             }); //end ajax
                            } //end if data valide
                            }else {
                                    msg (1,"alert alert-error", "Data incorrect or invalid ...");
                            }

                    }

    function modAmount(me){
        console.log($(me).attr('type'));
        var $taxPer = accounting.unformat($("#listTax").val());
        var $chargeAmount = accounting.unformat($("#chargeAmount").val());
        if($(me).attr('type') != 'text'){
            if($('#inclusiveTax').attr("checked") == "checked"){
                $("#chargeAmount").attr('data-actual',accounting.unformat($("#chargeAmount").val()));
                var $taxAmount = ($chargeAmount*$taxPer)/(100+$taxPer);
                var $actualCharge = $chargeAmount - $taxAmount;
                $("#chargeAmount").val(accounting.formatNumber($actualCharge,2));
                calculChargeAmount();
            }else{
                $("#chargeAmount").val(accounting.formatNumber($("#chargeAmount").attr('data-actual'),2));
                calculChargeAmount();
            }
        }else{
            $("#chargeAmount").val(accounting.formatNumber($("#chargeAmount").attr('data-actual'),2));
            $('#inclusiveTax').attr("checked",false);
            calculChargeAmount();
        }
    }
function calculChargeAmount() { 
        var t = accounting.unformat($("#chargeAmount").val()) * accounting.unformat($("#listTax").val()) /100;
        $("#chargetaxAmount").val(accounting.formatNumber(t,2));
        $("#chargeAmountIT").val(accounting.formatNumber(t+  accounting.unformat($("#chargeAmount").val()),2));
}

                    function deleteCompanyDetail(me){
                            $('#popupModal').modal('show');
                            $("#_popupTitle").html("Confirm delete");
                            $("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");

                            $('#_popupFooter').empty();
               $('#_popupFooter').append('<button class="btn-form btn-success-form" id="detButton">Ok</button>' +
                            ' <button class="btn-form btn-danger-form" id="canb">Cancel</button>');
                            $("#_popupTitle").html("Confirm delete");
                            $( "#canb" ).click(function() {
                                    $('#popupModal').modal('hide');
                            });
                            $( "#detButton" ).click(function() {
                                    $('#popupModal').modal('hide');
                                    $.ajax({
                                    type: "POST",
                                    data: "detailsId="+ $(me).attr("data-detailid"),
                                    url: "<?php echo base_url() ?>aptransaction/deleteDebitNoteDetail",
                                    success: function(data) {
                                            msg (1,"alert alert-success","Data deleted succesfuly ...");
                                            var td=me.parentNode;
                                            var tr=td.parentNode;
                                            var tBody=tr.parentNode;
                                            tBody.removeChild(tr);
                                            }
                                    });
                            });

                            $( "#calcul" ).trigger( "click" );
                            }

                  /*  function getItemDetails(me){
                            $("#itemname").val("");
                            $("#itemdes").val("");
                            $.ajax({
                                    type: "POST",
                                    data: "code="+ me.value,
                                    url: "<?php echo base_url() ?>ItemSetup/getItemDetails",
                                    success: function(data) {
                                            if(data!="item Not found"){
                                                     var resul = eval ("(" + data + ")");
                                                    $("#itemname").val(resul.description);
                                                    $("#itemdes").val(resul.name);
                                                    $("#itemTax").val(resul.tax);
                                                    $("#itemTax").attr("data-taxid",resul.taxID);
                                                    $("#displayTaxCode").text(resul.taxcode); 
                                            }else{
                                                    $("#itemdes").attr("placeholder",data);
                                                    $("#itemname").attr("placeholder",data);
                                                    $("#itemTax").val("");
                                                    $("#itemTaxAmount").val("");
                                                    $("#itemAmountIT").val("");
                                                    $("#itemTax").attr("data-taxid",""); 
                                                    $("#displayTaxCode").html("");
                                                    }

                                    }
                             });
                    }*/

                    function calculamountET(){


                            $("#totalamount").val("");

                            $("#impotpayable").val("");

                            $("#totalpayable").val("");
                            //if ($("#itemTax").attr("data-taxid")=="") {
                            //	taxPopup ();
                            //}
                            
                             if(accounting.unformat($("#itemqte").val())>accounting.unformat($("#itemInvoice").val())){
                                $("#itemqte").val("");
                                 $("#itemqte").attr("style","background:#F2DEDE;");
                            }else{
                                 $("#itemqte").attr("style","background:#DFF0D8;");
                            }

                            var j_itemAmountET =accounting.unformat($("#itemunitprice").val())*accounting.unformat($("#itemqte").val());


                            var j_itemTaxAmount=j_itemAmountET * accounting.unformat($("#itemTax").val())/100;


                            if (!isNaN(j_itemAmountET))
                                    $("#itemAmountET").val(accounting.formatNumber(j_itemAmountET,2));

                            if (!isNaN(j_itemTaxAmount))
                                    $("#itemTaxAmount").val(accounting.formatNumber(j_itemTaxAmount,2));

                            $("#itemAmountIT").val(accounting.formatNumber(j_itemTaxAmount+j_itemAmountET,2));

                            if (!isNaN(j_itemTaxAmount) && !isNaN(j_itemTaxAmount) )
                                    $("#itemAmountIT").val(accounting.formatNumber(j_itemTaxAmount+j_itemAmountET,2));	

                    }
var gstStatus = true;
                    function addRowInvoice(){

                            if (!$("#itemComboList").length) {
                              console.log(gstStatus);
                                if(gstStatus){
                                    var tax = '<td class="span1"><div  class="input-prepend"><input data-taxid="" id="itemTax" disabled="disabled" onkeyup="calculamountET()" name="itemTax" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)"><span onclick="taxPopup ()" style="margin-top:0;" id="displayTaxCode"  class="btn add-on">....</span></div></td>';
                                }else{
                                    var tax = '<td class="span1"><div  class="input-prepend"><input data-taxid="<?php echo $nonGstTaxID; ?>" id="itemTax" disabled="disabled" name="itemTax" value="0" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)"><span style="margin-top:0;" id="displayTaxCode"  class="btn add-on">NR</span></div></td>';
                                }
                             $(''+
                              '<tr><td class="span1">' + ($("#listDetails").attr("data-currentRow")*1 + 1) + '</td>'+
                 '<td class="span2" >' +
                '<select id="itemComboList" class="span12" onchange="displaysItemDefaultValue()">'+ $("#hiddentItemComboList").html() +'</select></td>' +
           '<td class="span2"><input id="itemdes" name="itemdes" class="span12" type="text" placeholder="Description"></td>'+
             '<td class="span1">' +
                        '<select onchange="getLatestItemPrice()" id="idUnitOfMeasure" class="span12 validate[required]"><option></option>' +
                        <?php
                        if ($um) {
                            
                            foreach ($um as $rowUm) {
                                  $code = str_replace(array("\n", "\r","'")," ", $rowUm->code);
                                ?>
                                    '<option  value="<?php echo $rowUm->fldid; ?>"><?php
                                        echo $code;
                                        ?></option>'+
                                    <?php }
                                }
                                ?>
                        '</select></td>'+
                          '<td class="span1"><input id="itemInvoice" disabled name="itemInvoice" class="span10 validate[required,custom[integer]]" type="text" placeholder="Qty Invoice"></td>'+
             '<td class="span1"><input id="itemqte" onkeyup="calculamountET()"  name="itemqte" class="span12 amount validate[required,custom[integer]]" type="text" placeholder="Qty return"></td>'+
            '<td class="span1"><input id="itemunitprice" onkeyup="calculamountET()" name="itemunitprice" class="span12 validate[required,custom[number]]" type="text" placeholder="Unit Priece"></td>'+
            '<td class="span1"><input id="itemAmountET" disabled name="itemAmountET" onkeydown="return false;" class="span12 validate[required]" type="text" placeholder="Amount (Exclude Tax)"></td>'+
            tax+
            '<td class="span1"><input id="itemTaxAmount" name="itemTaxAmount" disabled class="span12 amount" type="text" placeholder="0.00"></td>'+
            '<td class="span1"><input id="itemAmountIT" disabled name="itemAmountIT" onkeydown="return false;" class="span12 amount" type="text" placeholder="Amount (Include Tax)"></td>'+
            '<td class="span1">'+
                                            '<button class="btn-icon btn-mini btn-success-form" onclick="saveParchaseRow(this)" type="button"><span class="i-checkmark-3"></span></button>'+
                                            ' <button id="btnCancel" class="btn-icon btn-mini btn-danger-form" onclick="delRowInvoice(this)" type="button"><span class="i-cross"></span></button>'+
                                    '</td>'+
        '</tr>'
                              ).insertBefore( "#trInfos" );
                            $('#itemComboList').select2();
                             $('#idUnitOfMeasure').select2();
    $.each($("#listDetails .select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });

                            }else{
                                    msg (1,"alert","Please, do save the current details before adding new one");
                                    }
                    }
 
      function getTotal (){
	  
             $("#totalamount").val("");
  
            $("#impotpayable").val("");
  
            $("#totalpayable").val("");
             var n =$("#listDetails > tbody > tr").length-1;
             var totalAmount =0;
             var impot = 0;
             var total = 0;
             for (i=0; i<=n; i++) {
                            totalAmount= totalAmount + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(7)').text())*1; 
                            impot= impot + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(9)').text()) *1; 
                            total= total + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(10)').text()) *1; 
             }
	
            // calcul for charge
	
             var n =$("#listCharge > tbody > tr").length-1;
             var totalAmountCharge =0;
             var impotCharge = 0;
             var totalCharge = 0;
             for (i=0; i<=n; i++) {
                            totalAmountCharge= totalAmountCharge + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(3)').text())*1; 
                            impotCharge= impotCharge + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(5)').text()) *1; 
                            totalCharge= totalCharge + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(6)').text()) *1; 
             }
	 
             $("#totalamount").val(accounting.formatNumber(totalAmount + totalAmountCharge,2) );
  
            $("#impotpayable").val(accounting.formatNumber(impot +  impotCharge,2));
  
            $("#totalpayable").val(accounting.formatNumber(total + totalCharge,2));
	
      }
					
					
    function msg(n,type, message){
	
            $("#msg_div"+n +" p").html(message);
            $("#msg_div"+n).attr("class","alert " + type);
    }

    function delRowInvoice(me){
            var td=me.parentNode;
            var tr=td.parentNode;
            var tBody=tr.parentNode;
            tBody.removeChild(tr);
    }

    function checkformNumber(me){
            var answer ="no";
            $.ajax({
              type: "POST",
              data: "code="+ me.value,
              url: "<?php echo base_url() ?>aptransaction/checkformNumber",
              success: function(data) {
                      if(data=="yes"){
                              $("#formNo").attr("placeholder","Error: Number exist ...");
                              $("#formNo").val("");
                              msg (1,"alert", "This form number is already used ");
                      }
              }
       });
       return answer;
    } 

    function taxPopup () {
            $('#popupModal').modal('show');
            $("#_popupTitle").html("Purchase Invoice");
            $("#_popupContent").html('' +
              '<label>Select a tax</label>' +
              '<select style="width:100%;" onchange="calculamountET()" name="listTaxPopup" id="listTaxPopup"  class= "validate[required]">' +
<?php
if ($taxmaster) {
    foreach ($taxmaster as $row2) {
        $temp = str_replace(array("\n", "\r","'"), " ", $row2->name, $count);
        ?>
               '<option data-taxcode="<?php echo $row2->code ?>" value="<?php echo $row2->ID; ?>" data-tax="' + <?php echo $row2->taxPercentage; ?> + '">' + 
                                                     '<?php echo $row2->code . " | " . $row2->taxPercentage . " | ";
        echo $temp; ?></option>'+
    <?php }
} ?>
             '</select>');
            $("#listTaxPopup").select2()
	
            $('#_popupFooter').empty();
               $('#_popupFooter').append('<button class="btn-form btn-success-form" id="confButton">Ok</button>' +
            '<button class="btn-form btn-danger-form" id="canb">Cancel</button>');
            $("#_popupTitle").html("Tax Master");
            $( "#canb" ).click(function() {
                    $('#popupModal').modal('hide');
            });
            $( "#confButton" ).click(function() {
                    $('#popupModal').modal('hide');
                     $("#itemTax,#listTax").attr("data-taxid",$("#listTaxPopup").val() );
                     $("#itemTax,#listTax").val($("#listTaxPopup option:selected").attr("data-tax"));
                     $("#displayTaxCode,#displayCode").html($("#listTaxPopup option:selected").attr("data-taxcode"));
                     calculamountET();
                     calculChargeAmount();
            });
	
    }
    
    
    function addRowInvoiceCharge(){
        var tax = '';
        if(gstStatus){
            tax = '<td class="span2">\
                        <div class="input-prepend">\
                            <input data-taxid="" id="listTax" onkeyup="calculChargeAmount()" name="itemTax" disabled="disabled" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)">\
                            <span onclick="taxPopup ()" style="margin-top:0;" id="displayCode" class="btn add-on">....</span>\
                        </div>\
                  </td>';
        }else{
            tax = '<td class="span2">\
                        <div class="input-prepend">\
                            <input data-taxid="<?php echo $nonGstTaxID; ?>" value="0" id="listTax" onkeyup="calculChargeAmount()" name="itemTax" disabled="disabled" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)">\
                            <span style="margin-top:0;" id="displayCode" class="btn add-on">NR</span>\
                        </div>\
                  </td>';
        }

        if (!$("#chargeAccount").length) {
             $(''+
             '<tr><td class="span1">' + ($("#listCharge").attr("data-currentRow")*1 + 1) + '</td>'+
                   '<td class="span4">\n\
        <select name="chargeAccount" id="chargeAccount" class="span12 validate[required]"><option></option>' +
<?php 
if ($chargeAccount) {
    foreach ($chargeAccount as $row) {
        $temp = str_replace(array("\n", "\r","'"), " ", $row->acctName, $count);
        ?>
                                             '<option value="<?php echo $row->ID; ?>"><?php
        echo substr($row->acctCode,0,4).'-'.substr($row->acctCode,4,3).'-'.substr($row->acctCode,7). " | ";
        echo $temp;
        ?></option>'+
    <?php
    }
}
?>
        '</select></td>'+
        '<td class="span3"><input  id="chargedesc" name="chargedesc"  type="text" class="span12 validate[required]" placeholder="Description"></td>'+
        '<td class="span1"><input id="chargeAmount" onkeyup="calculChargeAmount()" onfocus="modAmount(this)" name="chargeAmount" class="span12 validate[required, custom[number]]" type="text" placeholder="Amount"></td>'+

                                                tax+
                                                                                                        '<td class="span1"><input id="chargetaxAmount"  name="chargetaxAmount" class="span12" type="text" placeholder="Amount"></td>'+
                                                                                                        '<td class="span1"><input disabled id="chargeAmountIT" name="chargeAmountIT" class="span12" type="text" placeholder="Amount (Exclude Tax)"></td>'+
                                                '<td class="span1">'+
                                                        '<button title="Save" onclick = "saveCharge(this)" class="btn-icon btn-mini btn-success-form" type="button"><span class="i-checkmark-3"></span></button>'+
                                                        ' <button onclick="delRowInvoice(this)" id="btnCancelCharge" title="Cancel" class="btn-icon btn-mini btn-danger-form" type="button"><span class="i-cross"></span></button>'+
                                                '</td>'+
        '<td class="span1" style="text-align:center;"><input data-taxid="" id="inclusiveTax" onchange="modAmount(this)" name="incTax" class="tac" type="checkbox"></td>'+
                    '</tr>'
                                          ).insertBefore( "#trInfosCharge" );
                                        if($('#listTax option').length){
                                          $('#listTax').select2();
                                        }
                                        $('#chargeAccount').select2();
                                        $.each($("#listCharge .select2-container"), function (i, n) {
                                            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
                                            $(n).prepend($(n).next());
                                            $(n).delay(500).queue(function () {
                                                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                                                $(this).dequeue();
                                            });
                                        });	
 
                                        }else{
                                                msg (2,"alert","Please, do save the current details before adding new one");
                                                }
}

function saveCharge(me){
    if( $("#parchaseDetailForm").validationEngine('validate') && finanEngine('financhk')){
    if ( $("#purchaseInvoiceId").val()=="null"){
            $(me).attr("disabled","disabled");
            $.ajax({
            type: "POST",
            data: {
                    supplierID : $("#supplier").val(),
                      locationID :  $("#location").val(),
                      itemCode:  $("#itemcode").val(),
                      formNo : $("#formNo").val(),
                      invoiceDate: $("#createdDate").val(),
                      supplierInvoiceID : $("#CompInvNo").val(),
                      projectID: $("#project").val(),
                      memo : $("#memo").val(),
                      termsID: $("#term").val(),
                      currencyID: $("#currency").attr("data-id"),
                      exchangeRate : $("#exchange_rate").val(),
                        
                         taxRate : $("#listTax").val(), 
                         
                        accountNoID : $("#chargeAccount").val(), 
                        lineNo : $("#listCharge").attr("data-currentRow")*1 + 1,
                        itemdescription: $("#chargedesc").val(),
                        amountExcludedTax : accounting.unformat( $("#chargeAmount").val()),
                        taxID: $("#listTax").attr('data-taxid'),
                        taxAmount: accounting.unformat($("#chargetaxAmount").val()),
                        amountIncludedTax: accounting.unformat($("#chargeAmountIT").val())

                    },
             url: "<?php echo base_url() ?>aptransaction/saveNewParchaseChargeDebit",
             success: function(data) {
                        var resul = eval ("(" + data + ")"); 
                        $("#purchaseInvoiceId").val(resul.invoiceID);
                        $(''+
                   '<tr><td class="span1">' + ($("#listCharge").attr("data-currentRow")*1 + 1) + '</td>'+
                          '<td>' + $("#chargeAccount option:selected").text() + '</td>'+
                          '<td>' + $("#chargedesc").val() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmount").val(),2) + '</td>'+
                          '<td>' + $("#displayCode").text() + " | " + $("#listTax").val() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargetaxAmount").val(),2) + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmountIT").val(),2) + '</td>'+
                          '<td></td>'+
                  '</tr>' ).insertBefore( "#trInfosCharge" );
                        var op =$("#listCharge").attr("data-currentRow")*1;
                        $("#listCharge").attr("data-currentRow",op+1);
                        $("#btnCancelCharge").trigger("click");
                        getTotal ();
                        msg (2,"alert alert-success","Details successfully saved");
            } //end function
     });//end ajax
    }else{
            $(me).attr("disabled","disabled");
            $.ajax({
            type: "POST",
            data: {
                   invoiceId : $("#purchaseInvoiceId").val(),

                    accountNoID : $("#chargeAccount").val(), 
                    lineNo : $("#listCharge").attr("data-currentRow")*1 + 1,
                    itemdescription: $("#chargedesc").val(),
                    amountExcludedTax : accounting.unformat( $("#chargeAmount").val()),
                    taxID: $("#listTax").attr('data-taxid'),
                    
                    taxRate : $("#listTax").val(), 
                    taxAmount: accounting.unformat($("#chargetaxAmount").val()),
                    amountIncludedTax: accounting.unformat($("#chargeAmountIT").val()),
                    totalPayable: accounting.unformat($("#totalpayable").val())*1 +  accounting.unformat($("#chargeAmountIT").val()),
                    totalTaxAmount : accounting.unformat($("#impotpayable").val())*1 + accounting.unformat($("#chargetaxAmount").val()),
                    totalAmount : accounting.unformat($("#totalamount").val())*1 + accounting.unformat( $("#chargeAmount").val())*1

                    },
            url: "<?php echo base_url() ?>aptransaction/saveNewDebitChargeDetail",
            success: function(data) {
                        var resul = eval ("(" + data + ")"); 
                        $(''+
                   '<tr><td class="span1">' + ($("#listCharge").attr("data-currentRow")*1 + 1) + '</td>'+
                          '<td>' + $("#chargeAccount option:selected").text() + '</td>'+
                          '<td>' + $("#chargedesc").val() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmount").val(),2) + '</td>'+
                          '<td>' + $("#displayCode").text() + " | " + $("#listTax").val() + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargetaxAmount").val(),2) + '</td>'+
                          '<td class="amount">' + accounting.formatNumber($("#chargeAmountIT").val(),2) + '</td>'+
                          '<td>'+
                            '</td>'+
                  '</tr>'
                        ).insertBefore( "#trInfosCharge" );
                        var op =$("#listCharge").attr("data-currentRow")*1;
                        $("#listCharge").attr("data-currentRow",op+1);
                        $("#btnCancelCharge").trigger("click");
                        getTotal ();
                        msg (2,"alert alert-success","Details successfully saved");
       }
     }); //end ajax 
    } //end if data valide
    }else {
            msg (1,"alert alert-error", "Data incorrect or invalid ...");
    }
} 

    function getItemListOfUM(){
        $("#idUnitOfMeasure").empty();
        if ($("#itemComboList option:selected").attr("data-umid") > 0 && $("#itemComboList option:selected").attr("data-umCode")!=null){
        //  $("#idUnitOfMeasure").select2('destroy'); 
            $("#idUnitOfMeasure").append("<option data-unitm='1' data-factor='1'  value="+ $("#itemComboList option:selected").attr("data-defaultUM") +">"+ $("#itemComboList option:selected").attr("data-defaultCode") +"</option>");
            $("#idUnitOfMeasure").select2("val",$("#itemComboList option:selected").attr("data-umid"));

        }
             $.ajax({
                type: "POST",
                data : "unitFrom=" + $("#itemComboList option:selected").attr("data-umid") + "&itemID=" + $("#itemComboList option:selected").attr("data-itemID") ,
                url: "<?php echo base_url() ?>apTransaction/getItemUnitList",
                success: function(data) {

                var resul = eval ("(" + data + ")"); 
                var n=resul.recordSet.length;
                var i=0;
                var opt='';
                for (i=0;i<n;i++){
                    opt=opt + '<option  value="' + resul.recordSet[i].ID + '" data-unitm="' + resul.recordSet[i].unitm + '" data-factor="' + resul.recordSet[i].factor + '" data-desc ="' + resul.recordSet[i].desc + '">'+ resul.recordSet[i].code +'</option>';
                    
                }
                $('#idUnitOfMeasure').append(opt);
                $("#idUnitOfMeasure").select2('val',$("#itemComboList option:selected").attr("data-umid"));
                $('#itemInvoice').attr('data-unitm',$("#idUnitOfMeasure option:selected").attr("data-unitm")).attr('data-factor',$("#idUnitOfMeasure option:selected").attr("data-factor"));
            }
          }); 
    }

    </script>
    <style>
    tbody td {
        font-size:11px;}
    </style>


    <div id="content"> 
    <div class="wrap">
        <div class="head">
            <div class="info">
                <!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
				<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "gl/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('purDebitNote') ?></li>
                </ul>
            </div>

            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>        

        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="parchaseDetailForm" action="#">    
               <div class="block ns">
                            <div class="head">
     <h2><strong><?php echo $this->lang->line('titleDebitNote') ?></strong></h2>
</div><!-- head -->
                <div class="row-fluid scRow">                            
                    <div class="span6 scCol">
                        <div class="block ns" id="grid_block_1">
                            <div class="content">
                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('supplier') ?></div>
                                        <input type="hidden" id="purchaseInvoiceId" value="null"/>
                                    <div class="span8">
                                            <select class="span11 validate[required]" id="supplier" onchange="loadSupplierDefaultValue(this)">
                                                <option></option>
                                                <?php
                                                if ($supplier != '') {
                                                    foreach ($supplier as $row) {
                                                        ?>
                                                        <option value="<?php echo $row->ID; ?>"> <?php echo $row->supplierName; echo ($row->gstRegNo != '' && $row->gstRegNo != '0')?' (GST)':''; ?></option>
    <?php }
} ?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>supplier/SupplierNew"  id="btnNewSupplier">
                                                            <i class="i-plus-3"></i> <?php echo $this->lang->line('addNewSupplier') ?></a></li>
                                                    <li><a href="#" onclick="refreshSupplier()" id="btnNewSupplier">
                                                            <i class="i-ccw "></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div><!-- btn group -->
                                    </div>

                                </div> <!-- row -->
                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('formNo') ?></div>
                                    <div class="span5">
                                        <input class="span12 validate[required]" id="formNo" name="formNo" value='<?php echo "$formNo"; ?>' style="color:red;"   type="text" placeholder="Form number ...">
                                    </div>
                                    <div class="span3">
                                        <input  class="span12"   type="text" placeholder="Serial" disabled="disabled">
                                    </div>
                                </div> <!-- row -->
                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('date') ?></div>
                                    
                                    <div class="span8">
                                    <div class="input-prepend span12">
                                        <span class="add-on span2"><i class="i-calendar"></i></span>
                                        <?php
                                        $data = array(
                                            'name' => 'createdDate',
                                            'id' => 'createdDate',
                                            'type' => 'text',
                                            'onkeydown' => 'return false',
                                            'class' => 'span10 datepicker2 validate[required] financhk',);
                                        echo form_input($data, date("d-m-Y"));
                                        ?>
                                    </div>
                                    </div>
                                </div> <!-- row -->

                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('project') ?></div>
                                    <div class="span8">
                                        <div class="span12">
                                            <select id="project" class="span11">
                                                <option></option>
                                                <?php
                                                if ($project != '') {
                                                    foreach ($project as $row) {
                                                        ?>
                                                        <option value="<?php echo $row->ID; ?>"><?php echo $row->project_name; ?></option>
    <?php }
} ?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>project/new"  id="btnNewPro">
                                                            <i class="i-plus-3"></i><?php echo $this->lang->line('addNewProject') ?></a></li>
                                                    <li><a href="#" onclick="refreshProject()"><i class="i-ccw "></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- span -->
                                    </div>
                                </div> <!-- row control -->
                            </div>
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                    <div class="span6 scCol">
                        <div class="block ns" id="grid_block_2">
                            <div class="content">
                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('invoiceNo') ?></div>
                                    <div class="span8">
                                        <select onchange="displaysSupplierInvoiceNo()" id="CompInvNo" class="span12 validate[required]">
                                            <option></option>
                                        </select>
                                    </div><!-- span -->
                                </div><!-- control row -->

                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('supplierInvoiceNo') ?></div>
                                    <div class="span8">
                                        <input id="supinvoicenumber" disabled="disabled" class="span12 validate[required]" type="text" placeholder="Supplier Invoice Number">
                                    </div><!-- span -->
                                </div> <!-- row -->

                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('currency') ?></div>
                                    <div class="span8">
                                        <input data-id="" id="currency" name="currency" type="text" placeholder="Currency" disabled class="span12 validate[required,minSize[5],maxSize[10]]">            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="content nb">
                                    <div class="span4"><?php echo $this->lang->line('exchangeRate') ?></div>
                                    <div class="span8">
                                        <input class="span12 validate[required] tar" id="exchange_rate" name="exchange_rate" type="text" placeholder="Example: 3.20000" >           
                                    </div><!-- span -->
                                </div><!-- control row -->
                            </div>
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div>
               </div>
                
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <textarea style="margin-top:10px;" placeholder="Memo" id="memo" class="span12"></textarea>
                        
                        </div>
                </div>
                
                
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('items') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('item') ?></th>
                                            <th><?php echo $this->lang->line('itemDesc') ?></th>
                                            <th class="tar"><?php echo $this->lang->line('um') ?></th>
                                           <th class="tac"><?php echo $this->lang->line('qtyInvoice') ?></th>
                                            <th class="tac"><?php echo $this->lang->line('qtyReturn') ?></th>
                                            <th class="tar"><?php echo $this->lang->line('unitPrice') ?></th>
                                            <th class="tar"><?php echo $this->lang->line('amountExcludeTax') ?></th>
                                            <th class="tac"><?php echo $this->lang->line('amountTax') ?></th>
                                            <th class="tar"><?php echo $this->lang->line('taxAmount') ?></th>
                                            <th class="tar"><?php echo $this->lang->line('amountIncludeTax') ?></th>
                                            <th><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfos">
                                            <td colspan="12">
                                                <myselect style="display:none; display: none;" id="hiddentItemComboList">
                                                <option></option>
                                               </myselect>
                                                <div id="msg_div1" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#parchaseDetailForm').validationEngine('hide');" class="btn-form btn-warning-form" type="button" name="validat">Hide prompts</button>
                                            <button id="addRow" onclick="addRowInvoice()" class="btn-icon btn-warning-form" type="button">
                                                <i class="i-plus-2"></i><?php echo $this->lang->line('addNewDetails') ?></button>
                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->      
                            </div><!-- content -->
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                
                
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('charge') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseTwo">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listCharge" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('account') ?></th>
                                            <th><?php echo $this->lang->line('description') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amount') ?></th>
                                            <th><?php echo $this->lang->line('tax') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('taxAmount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountIncludeTax') ?></th>
                                            <th><?php echo $this->lang->line('action') ?></th>
                                            <th><?php echo $this->lang->line('inclusiveTax') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfosCharge">
                                            <td colspan="9">
                                                <div id="msg_div2" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#parchaseDetailForm').validationEngine('hide');" class="btn-form btn-warning-form" type="button" name="validat">Hide prompts</button>
                                            <button id="addRowCharge" onclick="addRowInvoiceCharge()" class="btn-icon btn-warning-form" type="button">
                                                <i class="i-plus-2"></i><?php echo $this->lang->line('addNewCharge') ?></button>

                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->      
                            </div><!-- content -->

                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                
                

                <div class="row-fluid scRow">  

                    <div class="span7 scCol">
                        <div class="block" id="grid_block_4">
                        </div>
                    </div>
                    <div class="span5 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">

                                    <div class="span3"><?php echo $this->lang->line('totalAmount') ?></div>
                                    <div class="span8">
                                        <input id="totalamount" class="span12 amount" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span3"><?php echo $this->lang->line('importDutyPayable') ?></div>
                                    <div class="span8">
                                        <input id="impotpayable" class="span12 amount" type="text" disabled="disabled"  placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span3"><?php echo $this->lang->line('totalPayable') ?></div>
                                    <div class="span8">
                                        <input id="totalpayable" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button id="calcul" onclick="getTotal()" class="btn-icon btn-warning-form" type="button"> 
                                                <i class="i-checkmark-3"></i><?php echo $this->lang->line('calTotal') ?></button>
                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->   
                            </div>    
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div><!-- content -->



